import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:sudoku/cubit/activity/activity_cubit.dart';

class DeleteSavedGameButton extends StatelessWidget {
  const DeleteSavedGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return StyledButton(
      color: Colors.grey,
      onPressed: () {
        BlocProvider.of<ActivityCubit>(context).deleteSavedActivity();
      },
      child: const Image(
        image: AssetImage('assets/ui/button_delete_saved_game.png'),
        fit: BoxFit.fill,
      ),
    );
  }
}
